<div ng-controller="indicatorController as self" ng-init="self.init(<?= $this->object
	? $this->object->getId()
	: 'null' ?>)">
    <div class="row">
        <div class="form-group col-lg-12">
            <button class="btn"
            ng-click="self.createIndicator('indicator')">
            <?= $this->icon('loading', '', ['ng-if' => 'self.loading.addIndicator']) ?>
                <?= $this->translate('form_button_add_indicator') ?>
            </button>
        
            <button class="btn"
            ng-click="self.createIndicator('indicator-group')">
                <?= $this->icon('loading', '', ['ng-if' => 'self.loading.addIndicatorGroup']) ?>
                <?= $this->translate('form_button_add_indicator_group') ?>
            </button>
        </div>
    </div>

    <div class="row">
        <table-builder class="col-lg-12" options="self.options" items="self.indicators" class="table-builder">
            <div class="row">
                <div class="col-xs-12">
                    <table table-builder-table class="table table-bordered table-condensed table-hover">
                        <thead>
                            <tr>
                                <th tb-column tb-name="selection" class="checkbox-column"><input type="checkbox" ng-model="__tb.selection"/></th>
                                <th><?= $this->translate('campain_field_name') ?></th>
                                <th><?= $this->translate('campain_field_referent') ?></th>
                                <th><?= $this->translate('campain_field_occurs') ?></th>
                                <th tb-column tb-name="actions" class="actions-column"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr ng-repeat="indicator in self.indicators">
                                <td><input type="checkbox" ng-model="indicator.selected"/></td>
                                <td>
                                <?= $this->icon('indicator','',  ['ng-if' => "self.isIndicatorType(indicator.type)", 'title' => $this->translate("indicator_entity")]) ?>
                                <a ng-if="self.isIndicatorType(indicator.type)" href="<?= $this->url('indicator/form') ?>/{{indicator.primary}}">{{indicator.entityDetails.name}}</a>

                                <?= $this->icon('groupindicator','',  ['ng-if' => "self.isIndicatorGroupType(indicator.type)", 'title' => $this->translate("group-indicator_entity")]) ?>
                                        <a ng-if="self.isIndicatorGroupType(indicator.type)" href="<?= $this->url('group-indicator/form') ?>/{{indicator.primary}}">{{indicator.entityDetails.name}}</a>
                                </td> 
                                <td>
									<span class="comma-separated">
										<span ng-repeat="user in indicator.users">
											<a ng-if="indicator._rights.read" href="<?= $this->url('user/form') ?>/{{user.id}}">
											{{user.name}}
											</a>
										</span> 
										<span ng-repeat="user in indicator.users" ng-if="!indicator._rights.read">{{user.name}}</span> 
									</span> 
								</td>
                                <td>
                                    <span ng-if="indicator.frequency">&nbsp;toutes les {{indicator.frequencyValue}} {{self.frequencyLabel(indicator)}} à partir du </span>
                                    <span ng-if="indicator.targetDate">{{indicator.targetDate | dateFormat : 'DD/MM/YYYY' }}</span>
                                </td>
                                <td>
                                    <div class="btn-group btn-group-actions">
                                        <?php if ($this->acl()->isAllowed('campain:e:indicator:u')): ?>
                                            <a ng-if="indicator._rights.update" class="btn btn-xs btn-default" ng-click="self.editIndicator(indicator);" tooltip="<?= $this->translate(
                                                'tooltip_edit'
                                            ) ?>">
                                                <?= $this->icon('edit') ?>
                                            </a>
                                        <?php endif; ?>

                                        <?php if ($this->acl()->isAllowed('campain:e:indicator:d')): ?>
                                            <a ng-if="indicator._rights.delete" ng-click="self.deleteIndicator(indicator);" class="btn btn-xs btn-default" tooltip="<?= $this->translate(
                                                'tooltip_delete'
                                            ) ?>">
                                                <?= $this->icon('delete') ?>
                                            </a>
                                        <?php endif; ?>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </table-builder>
    </div>
    <?= $this->partial('partial/indicator/form-modal.phtml') ?>
</div>

<?php
    $this->angular('js/src/campain/controller/indicator/list.js');
    $this->angular('js/src/campain/service/indicator.js');
    
    $this->angular('js/src/indicator/service/indicator.js');
    $this->angular('js/src/indicator/service/groupindicator.js');

    $this->angular('js/src/indicator/directive/indicatorSelect.js');
    $this->angular('js/src/indicator/directive/groupIndicatorSelect.js');
?>
